Bullet Collision Detection & Physics Library: btConjugateResidual< MatrixX > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Attributes | List of all members
btConjugateResidual< MatrixX > Class Template Reference

`#include <btConjugateResidual.h>`

Inheritance diagram for btConjugateResidual< MatrixX >:
[legend]
Collaboration diagram for btConjugateResidual< MatrixX >:
[legend]

## Public Member Functions
| btConjugateResidual (const int max_it_in)
virtual | ~btConjugateResidual ()
int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)
void | reinitialize (const TVStack &b)
Public Member Functions inherited from btKrylovSolver< MatrixX >
| btKrylovSolver (int maxIterations, btScalar tolerance)
virtual | ~btKrylovSolver ()
virtual int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)=0
virtual void | reinitialize (const TVStack &b)=0
virtual TVStack | sub (const TVStack &a, const TVStack &b)
virtual btScalar | squaredNorm (const TVStack &a)
virtual btScalar | norm (const TVStack &a)
virtual btScalar | dot (const TVStack &a, const TVStack &b)
virtual void | multAndAddTo (btScalar s, const TVStack &a, TVStack &result)
virtual TVStack | multAndAdd (btScalar s, const TVStack &a, const TVStack &b)
virtual void | setTolerance (btScalar tolerance)

## Private Types
typedef btAlignedObjectArray< btVector3 > | TVStack
typedef btKrylovSolver< MatrixX > | Base

## Private Attributes
TVStack | r
TVStack | p
TVStack | z
TVStack | temp_p
TVStack | temp_r
TVStack | best_x
btScalar | best_r

## Additional Inherited Members
Public Attributes inherited from btKrylovSolver< MatrixX >
int | m_maxIterations
btScalar | m_tolerance

## Detailed Description

template<class MatrixX>
class btConjugateResidual< MatrixX >

Definition at line 21 of file btConjugateResidual.h.

## Member Typedef Documentation

## ◆ Base

template<class MatrixX >

typedef btKrylovSolver<MatrixX> btConjugateResidual< MatrixX >::Base
| private

Definition at line 24 of file btConjugateResidual.h.

## ◆ TVStack

template<class MatrixX >

typedef btAlignedObjectArray<btVector3> btConjugateResidual< MatrixX >::TVStack
| private

Definition at line 23 of file btConjugateResidual.h.

## Constructor & Destructor Documentation

## ◆ btConjugateResidual()

template<class MatrixX >

btConjugateResidual< MatrixX >::btConjugateResidual | ( | const int | max_it_in | ) |
| inline

Definition at line 32 of file btConjugateResidual.h.

## ◆ ~btConjugateResidual()

template<class MatrixX >

virtual btConjugateResidual< MatrixX >::~btConjugateResidual | ( |  | ) |
| inlinevirtual

Definition at line 37 of file btConjugateResidual.h.

## Member Function Documentation

## ◆ reinitialize()

template<class MatrixX >

void btConjugateResidual< MatrixX >::reinitialize | ( | const TVStack & | b | ) |
| inlinevirtual

Implements btKrylovSolver< MatrixX >.

Definition at line 101 of file btConjugateResidual.h.

## ◆ solve()

template<class MatrixX >

int btConjugateResidual< MatrixX >::solve | ( | MatrixX & | A,
|  | TVStack & | x,
|  | const TVStack & | b,
|  | bool | verbose = `false`
| ) |  |
| inlinevirtual

Implements btKrylovSolver< MatrixX >.

Definition at line 40 of file btConjugateResidual.h.

## Member Data Documentation

## ◆ best_r

template<class MatrixX >

btScalar btConjugateResidual< MatrixX >::best_r
| private

Definition at line 29 of file btConjugateResidual.h.

## ◆ best_x

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::best_x
| private

Definition at line 25 of file btConjugateResidual.h.

## ◆ p

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::p
| private

Definition at line 25 of file btConjugateResidual.h.

## ◆ r

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::r
| private

Definition at line 25 of file btConjugateResidual.h.

## ◆ temp_p

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::temp_p
| private

Definition at line 25 of file btConjugateResidual.h.

## ◆ temp_r

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::temp_r
| private

Definition at line 25 of file btConjugateResidual.h.

## ◆ z

template<class MatrixX >

TVStack btConjugateResidual< MatrixX >::z
| private

Definition at line 25 of file btConjugateResidual.h.

The documentation for this class was generated from the following file:

- btConjugateResidual.h